import { Observable, Subject } from 'rxjs';

class MessageService {
  private messageStream = new Subject<string[]>();
  private messages: string[] = [];

  constructor() {
    this.messageStream.next([]);
  }

  get messages$(): Observable<string[]> {
    return this.messageStream.asObservable();
  }

  public addMessage(newMessage: string) {
    this.messages.push(newMessage);
    this.messageStream.next(this.messages);
  }

  public clearMessages() {
    this.messages = [];
    this.messageStream.next([]);
  }
}

const messageService: MessageService = new MessageService();

export {
  messageService
}
