import { TableConfig } from './tableService';

let tableData: TableConfig[] = [
  {
    name: 'Forms of Government',
    dice: [100],
    notes: 'p. 18',
    tags: ['world building', 'chapter 1', 'part 1'],
    possibleResults: [
      {
        keys: [1, 8],
        value: 'Autocracy'
      },
      {
        keys: [9, 13],
        value: 'Bureaucracy'
      },
      {
        keys: [14, 19],
        value: 'Confederacy'
      },
      {
        keys: [20, 22],
        value: 'Democracy'
      },
      {
        keys: [23, 27],
        value: 'Dictatorship'
      },
      {
        keys: [28, 42],
        value: 'Feudalism'
      },
      {
        keys: [43, 44],
        value: 'Gerontocracy'
      },
      {
        keys: [45, 53],
        value: 'Hierarchy'
      },
      {
        keys: [54, 56],
        value: 'Magocracy'
      },
      {
        keys: [57, 58],
        value: 'Matriarchy'
      },
      {
        keys: [59, 64],
        value: 'Militocracy'
      },
      {
        keys: [65, 74],
        value: 'Monarchy'
      },
      {
        keys: [75, 78],
        value: 'Oligarchy'
      },
      {
        keys: [79, 80],
        value: 'Patriarchy'
      },
      {
        keys: [81, 83],
        value: 'Meritocracy'
      },
      {
        keys: [84, 85],
        value: 'Plutocracy'
      },
      {
        keys: [86, 92],
        value: 'Republic'
      },
      {
        keys: [93, 94],
        value: 'Satrapy'
      },
      {
        keys: [95],
        value: 'Kleptocracy'
      },
      {
        keys: [96, 100],
        value: 'Theocracy'
      },
    ]
  },
  {
    name: 'World-Shaking Events',
    dice: [10],
    notes: 'p. 27',
    tags: ['world building', 'chapter 1', 'part 1'],
    possibleResults: [
      {
        keys: [1],
        value: 'Rise of a leader or an era'
      },
      {
        keys: [2],
        value: 'Fall of a leader or an era'
      },
      {
        keys: [3],
        value: 'Cataclysmic disaster'
      },
      {
        keys: [4],
        value: 'Assault or invasion'
      },
      {
        keys: [5],
        value: 'Rebellion, revolution, overthrow'
      },
      {
        keys: [6],
        value: 'Extinction or depletion'
      },
      {
        keys: [7],
        value: 'New organization'
      },
      {
        keys: [8],
        value: 'Discovery, expansion, invention'
      },
      {
        keys: [9],
        value: 'Prediction, omen, prophecy'
      },
      {
        keys: [10],
        value: 'Myth and legend'
      }
    ]
  },
  {
    name: 'Leader Types',
    dice: [6],
    notes: 'p. 27',
    tags: ['world building', 'chapter 1', 'part 1'],
    possibleResults: [
      {
        keys: [1],
        value: 'Political'
      },
      {
        keys: [2],
        value: 'Religious'
      },
      {
        keys: [3],
        value: 'Military'
      },
      {
        keys: [4],
        value: 'Crime/underworld'
      },
      {
        keys: [5],
        value: 'Art/culture'
      },
      {
        keys: [6],
        value: 'Philosophy/learning/magic'
      }
    ]
  },
  {
    name: 'Cataclysmic Disasters',
    dice: [10],
    notes: 'p. 28',
    tags: ['world building', 'chapter 1', 'part 1'],
    possibleResults: [
      {
        keys: [1],
        value: 'Earthquake'
      },
      {
        keys: [2],
        value: 'Famine/drought'
      },
      {
        keys: [3],
        value: 'Fire'
      },
      {
        keys: [4],
        value: 'Flood'
      },
      {
        keys: [5],
        value: 'Plague/disease'
      },
      {
        keys: [6],
        value: 'Rain of fire (meteoric impact)'
      },
      {
        keys: [7],
        value: 'Storm (hurrican, tornado, tsunami)'
      },
      {
        keys: [8],
        value: 'Volcanic eruption'
      },
      {
        keys: [9],
        value: 'Magic gone awry or a planar warp'
      },
      {
        keys: [10],
        value: 'Divine judgment'
      }
    ]
  },
  {
    name: 'Invading Forces',
    dice: [8],
    notes: 'p. 29',
    tags: ['world building', 'chapter 1', 'part 1'],
    possibleResults: [
      {
        keys: [1],
        value: 'A criminal enterprise'
      },
      {
        keys: [2],
        value: 'Monsters or a unique monster'
      },
      {
        keys: [3],
        value: 'A planar threat'
      },
      {
        keys: [4],
        value: 'A past adversary reawakened, reborn, or resurgent'
      },
      {
        keys: [5],
        value: 'A splinter faction'
      },
      {
        keys: [6],
        value: 'A savage tribe'
      },
      {
        keys: [7],
        value: 'A secret society'
      },
      {
        keys: [8],
        value: 'A traitorous ally'
      }
    ]
  },
  {
    name: 'Extinction or Depletion',
    dice: [8],
    notes: 'p. 30',
    tags: ['world building', 'chapter 1', 'part 1'],
    possibleResults: [
      {
        keys: [1],
        value: 'A kind of animal (insect, bird, fish, livestock)'
      },
      {
        keys: [2],
        value: 'Habitable land'
      },
      {
        keys: [3],
        value: 'Magic or magic-users (all magic, or specific kinds or schools of magic)'
      },
      {
        keys: [4],
        value: 'A mineral resource (gems, metals, ores)'
      },
      {
        keys: [5],
        value: 'A type of monster (unicorn, manticore, dragon)'
      },
      {
        keys: [6],
        value: 'A people (family line, clan, culture, race)'
      },
      {
        keys: [7],
        value: 'A kind of plant (crop, tree, herb, forest)'
      },
      {
        keys: [8],
        value: 'A waterway (river, lake, ocean)'
      }
    ]
  },
  {
    name: 'New Organizations',
    dice: [10],
    notes: 'p. 31',
    tags: ['world building', 'chapter 1', 'part 1'],
    possibleResults: [
      {
        keys: [1],
        value: 'Crime syndicate/bandit confederacy'
      },
      {
        keys: [2],
        value: 'Guild (masons, apothecaries, goldsmiths)'
      },
      {
        keys: [3],
        value: 'Magical circle/society'
      },
      {
        keys: [4],
        value: 'Military/knightly order'
      },
      {
        keys: [5],
        value: 'New family dynasty/tribe/clan'
      },
      {
        keys: [6],
        value: 'Philosophy/discipline dedicated to a principle or ideal'
      },
      {
        keys: [7],
        value: 'Realm (village, town, duchy, kingdom)'
      },
      {
        keys: [8],
        value: 'Religion/sect/denomination'
      },
      {
        keys: [9],
        value: 'School/university'
      },
      {
        keys: [10],
        value: 'Secret society/cult/cabal'
      }
    ]
  },
  {
    name: 'Discoveries',
    dice: [10],
    notes: 'p. 31',
    tags: ['world building', 'chapter 1', 'part 1'],
    possibleResults: [
      {
        keys: [1],
        value: 'Ancient ruin/lost city of a legendary race'
      },
      {
        keys: [2],
        value: 'Animal/monster/magical mutation'
      },
      {
        keys: [3],
        value: 'Invention/technology/magic (ehlpful, destructive)'
      },
      {
        keys: [4],
        value: 'New (or forgotten) god or planar entity'
      },
      {
        keys: [5],
        value: 'New (or rediscovered) artifact or religious relic'
      },
      {
        keys: [6],
        value: 'New land (island, continent, lost world, demiplane)'
      },
      {
        keys: [7],
        value: 'Otherworldly object (planar portal, alien spacecraft)'
      },
      {
        keys: [8],
        value: 'People (race, tribe, lost civilization, colony)'
      },
      {
        keys: [9],
        value: 'Plant (miracle herb, fungal parasite, sentient plant)'
      },
      {
        keys: [10],
        value: 'Resource or wealth (gold, gems, mithral)'
      }
    ]
  },
  {
    name: 'Astral Color Pools',
    dice: [20],
    notes: 'p. 47',
    tags: ['multiverse', 'chapter 2', 'part 1'],
    possibleResults: [
      {
        keys: [1],
        value: 'Ysgard - Indigo'
      },
      {
        keys: [2],
        value: 'Limbo - Jet black'
      },
      {
        keys: [3],
        value: 'Pandemonium - Magenta'
      },
      {
        keys: [4],
        value: 'The Abyss - Amethyst'
      },
      {
        keys: [5],
        value: 'Carceri - Olive'
      },
      {
        keys: [6],
        value: 'Hades - Rust'
      },
      {
        keys: [7],
        value: 'Gehenna - Russet'
      },
      {
        keys: [8],
        value: 'The Nine Hells - Ruby'
      },
      {
        keys: [9],
        value: 'Acheron - Flame red'
      },
      {
        keys: [10],
        value: 'Mechanus - Diamond blue'
      },
      {
        keys: [11],
        value: 'Arcadia - Saffron'
      },
      {
        keys: [12],
        value: 'Mount Celestia - Gold'
      },
      {
        keys: [13],
        value: 'Bytopia - Amber'
      },
      {
        keys: [14],
        value: 'Elysium - Orange'
      },
      {
        keys: [15],
        value: 'The Beastlands - Emerald green'
      },
      {
        keys: [16],
        value: 'Arborea - Sapphire blue'
      },
      {
        keys: [17],
        value: 'The Outlands - Leather brown'
      },
      {
        keys: [18],
        value: 'Ethereal Plane - Spiraling white'
      },
      {
        keys: [19, 20],
        value: 'Material Plane - Silver'
      }
    ]
  },
  {
    name: 'Psychic Wind Effects - Location Effect',
    dice: [20],
    notes: 'p. 48',
    tags: ['multiverse', 'chapter 2', 'part 1'],
    possibleResults: [
      {
        keys: [1, 8],
        value: 'Diverted; add 1d6 hours to travel time'
      },
      {
        keys: [9, 12],
        value: 'Blown off course; add 3d10 hours to trabel time'
      },
      {
        keys: [13, 16],
        value: 'Lost; at the end of the travel time, characters arrive at a location other than the intended destination'
      },
      {
        keys: [17, 20],
        value: 'Sent through color pool to a random plane (roll on the Astral Color Pools table)'
      },
    ]
  },
  {
    name: 'Psychic Wind Effects - Mental Effect',
    dice: [20],
    notes: 'p. 48',
    tags: ['multiverse', 'chapter 2', 'part 1'],
    possibleResults: [
      {
        keys: [1, 8],
        value: 'Stunned for 1 minute; you can repeat the saving throw at the end of each of your turns to end the effect on yourself'
      },
      {
        keys: [9, 10],
        value: 'Short-term madness (see chapter 8)'
      },
      {
        keys: [11, 12],
        value: '11 (2d10) psychic damage'
      },
      {
        keys: [13, 16],
        value: '22 (4d10) psychic damage'
      },
      {
        keys: [17, 18],
        value: 'Long-term madness (see chapter 8)'
      },
      {
        keys: [19, 20],
        value: 'Unconscious for 5 (1d10) minutes; the effect on you ends if you take damage or if another creature uses an action to shake you awake'
      },
    ]
  },
  {
    name: 'Ethereal Curtains',
    dice: [8],
    notes: 'p. 49',
    tags: ['multiverse', 'chapter 2', 'Plane - Color of Curtain', 'part 1'],
    possibleResults: [
      {
        keys: [1],
        value: 'Material Plane - Bright turquoise'
      },
      {
        keys: [2],
        value: 'Shadowfell - Dusky gray'
      },
      {
        keys: [3],
        value: 'Feywild - Opalescent white'
      },
      {
        keys: [4],
        value: 'Plane of Air - Pale blue'
      },
      {
        keys: [5],
        value: 'Plane of Earth - Reddish-brown'
      },
      {
        keys: [6],
        value: 'Plane of Fire - Orange'
      },
      {
        keys: [7],
        value: 'Plane of Water - Green'
      },
      {
        keys: [8],
        value: 'Elemental Chaos - Swirling mix of colors'
      },
    ]
  },
  {
    name: 'Ether Cyclone',
    dice: [20],
    notes: 'p. 49',
    tags: ['multiverse', 'chapter 2', 'part 1'],
    possibleResults: [
      {
        keys: [1, 12],
        value: 'Extended journey'
      },
      {
        keys: [13, 19],
        value: 'Blown to the Border Ethereal of a random plane (roll on the Ethereal Curtains table)'
      },
      {
        keys: [20],
        value: 'Hurled into the Astral Plane'
      }
    ]
  },
  {
    name: 'Feywild Time Warp',
    dice: [20],
    notes: 'p. 50',
    tags: ['multiverse', 'chapter 2', 'part 1'],
    possibleResults: [
      {
        keys: [1, 2],
        value: 'Days become minutes'
      },
      {
        keys: [3, 6],
        value: 'Days become hours'
      },
      {
        keys: [7, 13],
        value: 'No change'
      },
      {
        keys: [14, 17],
        value: 'Days become weeks'
      },
      {
        keys: [18, 19],
        value: 'Days become months'
      },
      {
        keys: [20],
        value: 'Days become years'
      },
    ]
  },
  {
    name: 'Shadowfell Despair',
    dice: [6],
    notes: 'p. 52',
    tags: ['multiverse', 'chapter 2', 'part 1'],
    possibleResults: [
      {
        keys: [1, 3],
        value: 'Apathy. The character has disadvantage on death saving throws and on Dexterity checks for initiative, and gains the following flaw: "I don\'t believe I can make a difference to anyone or anything."'
      },
      {
        keys: [4, 5],
        value: 'Dread. The character has disadvantage on all saving throws and gains the following flaw: "I am convinced that this place is going to kill me."'
      },
      {
        keys: [6],
        value: 'Madness/ The character has disadvantage on ability checks and saving throws that use Intelligence, Wisdom, or Charisma, and gains the following flaw: "I can\'t tell what\'s real anymore."'
      },
    ]
  },
  {
    name: 'Abyssal Corruption',
    dice: [10],
    notes: 'p. 62',
    tags: ['multiverse', 'chapter 2', 'part 1'],
    possibleResults: [
      {
        keys: [1, 4],
        value: 'Treachery. The character gains the following flaw: "I can only achieve my goals by making sure that my companions don\'t achieve theirs."'
      },
      {
        keys: [5, 7],
        value: 'Bloodlust. The character gains the following flaw: "I enjoy killing for its own sake, and once I start, it\'s hard to stop."'
      },
      {
        keys: [8, 9],
        value: 'Mad Ambition. The character gains the following flaw: "I am destined to rule the Abyss, and my companions are tools to that end."'
      },
      {
        keys: [10],
        value: 'Demonic Possession. The character is possessed by a demonic entity until freed by dispel evil and good or similar magic. Whenever the possessed character rolls a 1 on an attack roll, ability check or saving throw, the demon takes control of the character and determines the character\'s behavior. At the end of each of the possessed character\'s turns, he or she can make a DC 15 Charisma saving throw. On a success, the character regains control until he or she rolles another 1.'
      },
    ]
  },
  {
    name: 'Dungeon Goals',
    dice: [20],
    notes: 'p. 73',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'location-based adventures'],
    possibleResults: [
      {
        keys: [1],
        value: 'Stop the dungeon\'s monstrous inhabitants from raiding the surface world.'
      },
      {
        keys: [2],
        value: 'Foil a villain\'s evil scheme.'
      },
      {
        keys: [3],
        value: 'Destroy a magical threat inside the dungeon.'
      },
      {
        keys: [4],
        value: 'Acquire treasure.'
      },
      {
        keys: [5],
        value: 'Find a particular item for a spcific purpose.'
      },
      {
        keys: [6],
        value: 'Retrieve a stolen item hidden in the dungeon.'
      },
      {
        keys: [7],
        value: 'Find information needed for a special purpose.'
      },
      {
        keys: [8],
        value: 'Rescue a captive.'
      },
      {
        keys: [9],
        value: 'Discover the fate of a previous adventuring party.'
      },
      {
        keys: [10],
        value: 'Find an NPC who disappeared in the area.'
      },
      {
        keys: [11],
        value: 'Slay a dragon or some other challenging monster.'
      },
      {
        keys: [12],
        value: 'Discover the nature and origin of a strange location or phenomenon.'
      },
      {
        keys: [13],
        value: 'Pursue fleeing foes taking refuge in the dungeon.'
      },
      {
        keys: [14],
        value: 'Escape from captivity in the dungeon.'
      },
      {
        keys: [15],
        value: 'Clear a ruin so it can be rebuilt and reoccupied.'
      },
      {
        keys: [16],
        value: 'Discover why a villain is interested in the dungeon.'
      },
      {
        keys: [17],
        value: 'Win a bet or complete a rite of passage by surviving in the dungeon for a certain amount of time.'
      },
      {
        keys: [18],
        value: 'Parley with a villain in the dungeon.'
      },
      {
        keys: [19],
        value: 'Hide from a threat outside the dungeon.'
      },
      {
        keys: [20],
        value: 'Roll twice, ignoring results of 20'
      },
    ]
  },
  {
    name: 'Wilderness Goals',
    dice: [20],
    notes: 'p. 73',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'location-based adventures'],
    possibleResults: [
      {
        keys: [1],
        value: 'Locate a dungeon or other site of interest (roll on  the Dungeon Goals table to find out why).'
      },
      {
        keys: [2],
        value: 'Assess the scope of a natural or unnatural disaster.'
      },
      {
        keys: [3],
        value: 'Escort an NPC to a destination.'
      },
      {
        keys: [4],
        value: 'Arrive at a destination without being seen by the villain\'s forces.'
      },
      {
        keys: [5],
        value: 'Stop monsters from raiding caravans and farms.'
      },
      {
        keys: [6],
        value: 'Establish trade with a distant town.'
      },
      {
        keys: [7],
        value: 'Protect a caraban traveling to a distant town.'
      },
      {
        keys: [8],
        value: 'Map a new land.'
      },
      {
        keys: [9],
        value: 'Find a place to establish a colony.'
      },
      {
        keys: [10],
        value: 'Find a natural resource.'
      },
      {
        keys: [11],
        value: 'Hunt a specific monster.'
      },
      {
        keys: [12],
        value: 'Return home from a distant place.'
      },
      {
        keys: [13],
        value: 'Obtain information from a reclusive hermit.'
      },
      {
        keys: [14],
        value: 'Find an object that was lost in the wilds.'
      },
      {
        keys: [15],
        value: 'Discover the fate of a missing group of explorers.'
      },
      {
        keys: [16],
        value: 'Pursue fleeing foes.'
      },
      {
        keys: [17],
        value: 'Assess the size of an approaching army.'
      },
      {
        keys: [18],
        value: 'Escape the reign of a tyrant.'
      },
      {
        keys: [19],
        value: 'Protect a wilderness site from attackers.'
      },
      {
        keys: [20],
        value: 'Roll twice, ignoring results of 20'
      },
    ]
  },
  {
    name: 'Other Goals',
    dice: [12],
    notes: 'p. 74',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'location-based adventures'],
    possibleResults: [
      {
        keys: [1],
        value: 'Seize control of a fortified location such as a fortress, town, or ship.'
      },
      {
        keys: [2],
        value: 'Defend a location from attackers.'
      },
      {
        keys: [3],
        value: 'Retrieve an object from inside a secure location in a settlement.'
      },
      {
        keys: [4],
        value: 'Retrieve an object from a caravan.'
      },
      {
        keys: [5],
        value: 'Salvage an object or goods from a lost vessel or caravan.'
      },
      {
        keys: [6],
        value: 'Break a prisoner out of jail or prison camp.'
      },
      {
        keys: [7],
        value: 'Escape from a jail or prison camp.'
      },
      {
        keys: [8],
        value: 'Successfully travel through an obsstacle course to gain recognition or reward.'
      },
      {
        keys: [9],
        value: 'Infiltrate a fortified location.'
      },
      {
        keys: [10],
        value: 'Find the source of strange occurrences in a haunted house or other location.'
      },
      {
        keys: [11],
        value: 'Interfere with the operation of a business.'
      },
      {
        keys: [12],
        value: 'Resuce a charavter, monster, or object from a natural or unnatural disaster.'
      },
    ]
  },
  {
    name: 'Adventure Villains',
    dice: [20],
    notes: 'p. 74',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'location-based adventures', 'villain'],
    possibleResults: [
      {
        keys: [1],
        value: 'Beast or monstrosity with no particular agenda'
      },
      {
        keys: [2],
        value: 'Aberration bent on corruption or domination'
      },
      {
        keys: [3],
        value: 'Fiend bent on corruption or destruction'
      },
      {
        keys: [4],
        value: 'Dragon bent on domination and plunder'
      },
      {
        keys: [5],
        value: 'Giant bent on plunder'
      },
      {
        keys: [6, 7],
        value: 'Undead with any agenda'
      },
      {
        keys: [8],
        value: 'Fey with a mysterious goal'
      },
      {
        keys: [9, 10],
        value: 'Humanoid cultist'
      },
      {
        keys: [11, 12],
        value: 'Humanoid conqueror'
      },
      {
        keys: [13],
        value: 'Humanoid seeking revenge'
      },
      {
        keys: [14, 15],
        value: 'Humanoid schemer seeking to rule'
      },
      {
        keys: [16],
        value: 'Humanoid criminal mastermind'
      },
      {
        keys: [17, 18],
        value: 'Humanoid rader or ravager'
      },
      {
        keys: [19],
        value: 'Humanoid under a curse'
      },
      {
        keys: [20],
        value: 'Misguided humanoid zealot'
      },
    ]
  },
  {
    name: 'Adventure Allies',
    dice: [12],
    notes: 'p. 74',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'location-based adventures', 'ally', 'allies'],
    possibleResults: [
      {
        keys: [1],
        value: 'Skilled adventurer'
      },
      {
        keys: [2],
        value: 'Inexperienced adventurer'
      },
      {
        keys: [3],
        value: 'Enthusiastic commoner'
      },
      {
        keys: [4],
        value: 'Soldier'
      },
      {
        keys: [5],
        value: 'Priest'
      },
      {
        keys: [6],
        value: 'Sage'
      },
      {
        keys: [7],
        value: 'Revenge seeker'
      },
      {
        keys: [8],
        value: 'Raving lunatic'
      },
      {
        keys: [9],
        value: 'Celestial ally'
      },
      {
        keys: [10],
        value: 'Fey ally'
      },
      {
        keys: [11],
        value: 'Disguised monster'
      },
      {
        keys: [12],
        value: 'Villain posing as an ally'
      },
    ]
  },
  {
    name: 'Adventure Patrons',
    dice: [20],
    notes: 'p. 74',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'location-based adventures', 'patron'],
    possibleResults: [
      {
        keys: [1, 2],
        value: 'Retired adventurer'
      },
      {
        keys: [3, 4],
        value: 'Local ruler'
      },
      {
        keys: [5, 6],
        value: 'Military officer'
      },
      {
        keys: [7, 8],
        value: 'Temple official'
      },
      {
        keys: [9, 10],
        value: 'Sage'
      },
      {
        keys: [11, 12],
        value: 'Respected elder'
      },
      {
        keys: [13],
        value: 'Deity or celestial'
      },
      {
        keys: [14],
        value: 'Mysterious fey'
      },
      {
        keys: [15],
        value: 'Old friend'
      },
      {
        keys: [16],
        value: 'Former teacher'
      },
      {
        keys: [17],
        value: 'Parent or other family member'
      },
      {
        keys: [18],
        value: 'Desperate commoner'
      },
      {
        keys: [19],
        value: 'Embattled merchant'
      },
      {
        keys: [20],
        value: 'Villain posing as a patron'
      },
    ]
  },
  {
    name: 'Adventure Introduction',
    dice: [12],
    notes: 'p. 74',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'location-based adventures', 'introduction'],
    possibleResults: [
      {
        keys: [1],
        value: 'While traveling in the wilderness, the characters fall into a sinkhole that opens beneath their feet, dropping them into the adventure location.'
      },
      {
        keys: [2],
        value: 'While traveling in the wilderness, the charavters notice the eentrance to the adventure location.'
      },
      {
        keys: [3],
        value: 'While traveling on the road, the characters are attacked by monsters that flee into the nearby adventure location.'
      },
      {
        keys: [4],
        value: 'The adventurers find a map on the dead body. In addition to the map setting up the adventure, the adventure\'s villain wants the map.'
      },
      {
        keys: [5],
        value: 'A mysterious magic item or a cruel villain teleports the characters to the adventure location.'
      },
      {
        keys: [6],
        value: 'A stranger approaches the characters in a tavern and urges them toward the adventure location.'
      },
      {
        keys: [7],
        value: 'A town or village needs volunteers to go to the adventure location.'
      },
      {
        keys: [8],
        value: 'An NPC the characters care about needs them to go to the adventure location.'
      },
      {
        keys: [9],
        value: 'An NPC the characters must obet orders them to go to the adventure location.'
      },
      {
        keys: [10],
        value: 'An NPC the characters respect asks them to go to the adventure location.'
      },
      {
        keys: [11],
        value: 'One night, the characters all dream about entering the adventure location.'
      },
      {
        keys: [12],
        value: 'A ghost appears and terrorizes a village. Research reveals that it can be put to rest only by entering the adventure location.'
      },
    ]
  },
  {
    name: 'Adventure Climax',
    dice: [12],
    notes: 'p. 75',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'location-based adventures', 'climax'],
    possibleResults: [
      {
        keys: [1],
        value: 'The adventurers confront the main villain and a group of minions in a bloody battle to the finish.'
      },
      {
        keys: [2],
        value: 'The adventurers chase the vilain while dodging obstacles designed to thwart them, leading to a final confrontation in or outside the villain\'s refuge.'
      },
      {
        keys: [3],
        value: 'The actions of the adventurers or the villain result in a cataclysmic event that the adventurers must escape.'
      },
      {
        keys: [4],
        value: 'The adventurers race to the site where the villain is bringing a master plan to its conclusion, arriving just as that plan is about to be completed.'
      },
      {
        keys: [5],
        value: 'The villain and two or three lieutenants perform separate rites ina large room. The adventurers must disrupt all the rites at the same time.'
      },
      {
        keys: [6],
        value: 'An ally betrays the adventurers as they\'re about to achieve their goal. (Use this climax carefully, and don\'t overuse it.)'
      },
      {
        keys: [7],
        value: 'A portal opens to another plane of existence. Creatures on the other side spill out, forcing the adventurers to close the portal and eal with the villain at the same time.'
      },
      {
        keys: [8],
        value: 'Traps, hazards, or animated objects turn against the adventurers while the main villain attacks.'
      },
      {
        keys: [9],
        value: 'The dungeon begins to collapse while the adventurers face the main villain, who attempts to escape in the chaos'
      },
      {
        keys: [10],
        value: 'A threat more powerful that the adventurers appears, destroys the main villain, and then turns its attention on the characters.'
      },
      {
        keys: [11],
        value: 'The adventurers must choose whether to pursue the fleeing main villain or save an NPC they care about or a group of innocents.'
      },
      {
        keys: [12],
        value: 'The adventurers must discover the main villain\'s secret weakness before they can hope to defeat that villain.'
      },
    ]
  },
  {
    name: 'Event-Based Villain Actions',
    dice: [6],
    notes: 'p. 75',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'event-based adventures', 'villain'],
    possibleResults: [
      {
        keys: [1],
        value: 'Big event'
      },
      {
        keys: [2],
        value: 'Crime spree'
      },
      {
        keys: [3],
        value: 'Growing corruption'
      },
      {
        keys: [4],
        value: 'One and done'
      },
      {
        keys: [5],
        value: 'Serial crimes'
      },
      {
        keys: [6],
        value: 'Step by step'
      },
    ]
  },
  {
    name: 'Event-Based Goals',
    dice: [20],
    notes: 'p. 76',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'event-based adventures', 'goals'],
    possibleResults: [
      {
        keys: [1],
        value: 'Bring the villain to justice.'
      },
      {
        keys: [2],
        value: 'Clear the name of an innocent NPC.'
      },
      {
        keys: [3],
        value: 'Protect or hide an NPC.'
      },
      {
        keys: [4],
        value: 'Protect an object.'
      },
      {
        keys: [5],
        value: 'Discover the nature and origin of a strage phenomenon that might be the villain\'s doing.'
      },
      {
        keys: [6],
        value: 'Find a wanted fugitive.'
      },
      {
        keys: [7],
        value: 'Overthrow a tyrant.'
      },
      {
        keys: [8],
        value: 'Uncover a conspiracy to overthrow a ruler.'
      },
      {
        keys: [9],
        value: 'Negotiate peace between enemy nations or feuding families.'
      },
      {
        keys: [10],
        value: 'Secure aid from a ruler or council.'
      },
      {
        keys: [11],
        value: 'Help a villain find redemption.'
      },
      {
        keys: [12],
        value: 'Parley with a villain.'
      },
      {
        keys: [13],
        value: 'Smuggle weapons to rebel forces.'
      },
      {
        keys: [14],
        value: 'Stop a band of smugglers.'
      },
      {
        keys: [15],
        value: 'Gather intelligence on an enemy force.'
      },
      {
        keys: [16],
        value: 'Win a tournament.'
      },
      {
        keys: [17],
        value: 'Determine the villain\'s identity.'
      },
      {
        keys: [18],
        value: 'Locate a stolen item.'
      },
      {
        keys: [19],
        value: 'Make sure a wedding goes off without a hitch.'
      },
      {
        keys: [20],
        value: 'Roll twice, ignoring results of 20.'
      },
    ]
  },
  {
    name: 'Framing Events',
    dice: [100],
    notes: 'p. 79',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'framing'],
    possibleResults: [
      {
        keys: [1, 2],
        value: 'Anniversary of a monarch\'s reign'
      },
      {
        keys: [3, 4],
        value: 'Anniversary of an important event'
      },
      {
        keys: [5, 6],
        value: 'Arena event'
      },
      {
        keys: [7, 8],
        value: 'Arrival of a caravan or ship'
      },
      {
        keys: [9, 10],
        value: 'Arrival of a circus'
      },
      {
        keys: [11, 12],
        value: 'Arrival of an important NPC'
      },
      {
        keys: [13, 14],
        value: 'Arrival of marching modrons'
      },
      {
        keys: [15, 16],
        value: 'Artistic performance'
      },
      {
        keys: [17, 18],
        value: 'Athletic event'
      },
      {
        keys: [19, 20],
        value: 'Birth of a child'
      },
      {
        keys: [21, 22],
        value: 'Birthday of an important NPC'
      },
      {
        keys: [23, 24],
        value: 'Civic festival'
      },
      {
        keys: [25, 26],
        value: 'Comet appearance'
      },
      {
        keys: [27, 28],
        value: 'Commemoration of a past tragedy'
      },
      {
        keys: [29, 30],
        value: 'Consecration of a new temple`'
      },
      {
        keys: [31, 32],
        value: 'Coronation'
      },
      {
        keys: [33, 34],
        value: 'Council meeting'
      },
      {
        keys: [35, 36],
        value: 'Equinox or solstice'
      },
      {
        keys: [37, 38],
        value: 'Execution'
      },
      {
        keys: [39, 40],
        value: 'Fertility festival'
      },
      {
        keys: [41, 42],
        value: 'Full moon'
      },
      {
        keys: [43, 44],
        value: 'Funeral'
      },
      {
        keys: [45, 46],
        value: 'Graduation of cadets or wizards'
      },
      {
        keys: [47, 48],
        value: 'Harvest festival'
      },
      {
        keys: [49, 50],
        value: 'Holy day'
      },
      {
        keys: [51, 52],
        value: 'Investiture of a knight or other noble'
      },
      {
        keys: [53, 54],
        value: 'Lunar eclipse'
      },
      {
        keys: [55, 58],
        value: 'Midsummer festival'
      },
      {
        keys: [59, 60],
        value: 'Midwinter festival'
      },
      {
        keys: [61, 62],
        value: 'Migration of mosters'
      },
      {
        keys: [63, 64],
        value: 'Monarch\'s ball'
      },
      {
        keys: [65, 66],
        value: 'New moon'
      },
      {
        keys: [67, 68],
        value: 'New year'
      },
      {
        keys: [69, 70],
        value: 'Pardoning of a prisoner'
      },
      {
        keys: [71, 72],
        value: 'Planar conjunction'
      },
      {
        keys: [73, 74],
        value: 'Planetary alignment'
      },
      {
        keys: [75, 76],
        value: 'Priestly investiture'
      },
      {
        keys: [77, 78],
        value: 'Procession of ghosts'
      },
      {
        keys: [79, 80],
        value: 'Remembrance for soldiers lost in war'
      },
      {
        keys: [81, 82],
        value: 'Royal address or proclamation'
      },
      {
        keys: [83, 84],
        value: 'Royal audience day'
      },
      {
        keys: [85, 86],
        value: 'Signing of a treaty'
      },
      {
        keys: [87, 88],
        value: 'Solar eclipse'
      },
      {
        keys: [89, 91],
        value: 'Tournament'
      },
      {
        keys: [92, 94],
        value: 'Trial'
      },
      {
        keys: [95, 96],
        value: 'Violent uprising'
      },
      {
        keys: [97, 98],
        value: 'Wedding or wedding anniversary'
      },
      {
        keys: [99, 100],
        value: 'Concurrence of two events (roll twice, ignoring results of 99 or 100)'
      },
    ]
  },
  {
    name: 'Moral Quandaries',
    dice: [20],
    notes: 'p. 79',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'quandaries'],
    possibleResults: [
      {
        keys: [1, 3],
        value: 'Ally quandary'
      },
      {
        keys: [4, 6],
        value: 'Friend quandary'
      },
      {
        keys: [7, 12],
        value: 'Honor quandary'
      },
      {
        keys: [13, 16],
        value: 'Resuce quandary'
      },
      {
        keys: [17, 20],
        value: 'Respect quandary'
      },
    ]
  },
  {
    name: 'Twists',
    dice: [10],
    notes: 'p. 80',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'twists'],
    possibleResults: [
      {
        keys: [1],
        value: 'The adventures are racing against other creatures with the same or opposite goal.'
      },
      {
        keys: [2],
        value: 'The adventurers become responsible for the safety of a noncombatant in PC. '
      },
      {
        keys: [3],
        value: 'The adventurers are prohibited from killing the villain, but the villain has no compunctions about killing them.'
      },
      {
        keys: [4],
        value: 'The adbenturers have a time limit.'
      },
      {
        keys: [5],
        value: 'The adventurers have received false or extraneous information.'
      },
      {
        keys: [6],
        value: 'Completing an adventure goal fulfills a prophecy or prevents the fulfillment of a prophecy.'
      },
      {
        keys: [7],
        value: 'The adventurers have two different goals, but they can complete only one.'
      },
      {
        keys: [8],
        value: 'Completing the goal secretly helps the villain.'
      },
      {
        keys: [9],
        value: 'The adventurers must cooperate with a known enemy to achieve the goal.'
      },
      {
        keys: [10],
        value: 'The adventurers are under magical compulsion (such as a geas spell) to complete their goal.'
      },
    ]
  },
  {
    name: 'Side Quests',
    dice: [8],
    notes: 'p. 81',
    tags: ['creating adventures', 'chapter 3', 'part 2', 'side quests'],
    possibleResults: [
      {
        keys: [1],
        value: 'Find a specific, item rumored to be in the area.'
      },
      {
        keys: [2],
        value: 'Retrieve a stolen item in the villain\'s possession.'
      },
      {
        keys: [3],
        value: 'Receive information from an NPC in the area.'
      },
      {
        keys: [4],
        value: 'Resuce a captive.'
      },
      {
        keys: [5],
        value: 'Discover the fate of a missing NPC.'
      },
      {
        keys: [6],
        value: 'Slay a specific monster.'
      },
      {
        keys: [7],
        value: 'Discover the nature and origin of a strange phenomenon in the area.'
      },
      {
        keys: [8],
        value: 'Secure the aid of a character or creature in the area.'
      },
    ]
  },
];

export {
  tableData
}
